## python-w3lib 1.19.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/w3lib.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/w3lib.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/w3lib"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/w3lib"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-w3lib 1.0

=== debian/changelog ===
python-w3lib (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #659315)

 -- Ignace Mouzannar <mouzannar@gmail.com>  Fri, 10 Feb 2012 07:12:01 +0400

=== debian/control ===
Source: python-w3lib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ignace Mouzannar <mouzannar@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
X-Python-Version: >=2.5, <=2.7
Standards-Version: 3.9.2
Homepage: http://pypi.python.org/pypi/w3lib

Package: python-w3lib
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Collection of web-related functions for Python
 Python module with simple, reusable functions to work with URLs, HTML,
 forms, and HTTP, that aren’t found in the Python standard library.
 .
 This module is used to, for example:
  - remove comments, or tags from HTML snippets
  - extract base url from HTML snippets
  - translate entites on HTML strings
  - encoding mulitpart/form-data
  - convert raw HTTP headers to dicts and vice-versa
  - construct HTTP auth header
  - RFC-compliant url joining
  - sanitize urls (like browsers do)
  - extract arguments from urls
 .
 The code of w3lib was originally part of the Scrapy framework but was later
 stripped out of Scrapy, with the aim of make it more reusable and to provide
 a useful library of web functions without depending on Scrapy.

## python-w3lib 1.5

=== debian/changelog ===
python-w3lib (1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #734545)
  * Add Vcs-* fields in debian/control. (Closes: #735306)
  * Create python3 package using pybuild and dh_python3 (merged from Ubuntu).
  * Update Standards version to 3.9.5.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 01 Apr 2014 12:58:22 -0700

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,24 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ignace Mouzannar <mouzannar@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~)
-X-Python-Version: >=2.5, <=2.7
-Standards-Version: 3.9.2
+Build-Depends:
+ debhelper (>= 9),
+ dh-python,
+ python-all (>= 2.6.6-3~),
+ python-setuptools,
+ python3-all,
+ python3-setuptools
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.3
+Standards-Version: 3.9.5
 Homepage: http://pypi.python.org/pypi/w3lib
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/python-w3lib/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/python-w3lib/trunk/
 
 Package: python-w3lib
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
-Provides: ${python:Provides}
-Description: Collection of web-related functions for Python
+Description: Collection of web-related functions for Python (Python 2)
  Python module with simple, reusable functions to work with URLs, HTML,
  forms, and HTTP, that aren’t found in the Python standard library.
  .
@@ -30,3 +38,29 @@
  The code of w3lib was originally part of the Scrapy framework but was later
  stripped out of Scrapy, with the aim of make it more reusable and to provide
  a useful library of web functions without depending on Scrapy.
+ .
+ This is the Python 2 version of the package.
+
+Package: python3-w3lib
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}
+Description: Collection of web-related functions for Python (Python 3)
+ Python module with simple, reusable functions to work with URLs, HTML,
+ forms, and HTTP, that aren’t found in the Python standard library.
+ .
+ This module is used to, for example:
+  - remove comments, or tags from HTML snippets
+  - extract base url from HTML snippets
+  - translate entites on HTML strings
+  - encoding mulitpart/form-data
+  - convert raw HTTP headers to dicts and vice-versa
+  - construct HTTP auth header
+  - RFC-compliant url joining
+  - sanitize urls (like browsers do)
+  - extract arguments from urls
+ .
+ The code of w3lib was originally part of the Scrapy framework but was later
+ stripped out of Scrapy, with the aim of make it more reusable and to provide
+ a useful library of web functions without depending on Scrapy.
+ .
+ This is the Python 3 version of the package.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/w/w3lib/w3lib-([\d\.]+).tar.gz

## python-w3lib 1.11.0

=== debian/changelog ===
python-w3lib (1.11.0-1) unstable; urgency=medium

  * Team upload
  * Fresh release (Closes: #757842)
  * debian/watch
    - use pypi.debian.net redirector
  * debian/control
    - Versioned depends on python-six (>= 1.6.1) (Closes: #749496)
    - boosted policy to 3.9.6

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 24 Jun 2015 16:51:18 -0400

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,14 @@
  python3-setuptools
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://pypi.python.org/pypi/w3lib
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/python-w3lib/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/python-w3lib/trunk/
 
 Package: python-w3lib
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, python-six (>= 1.6.1)
 Description: Collection of web-related functions for Python (Python 2)
  Python module with simple, reusable functions to work with URLs, HTML,
  forms, and HTTP, that aren’t found in the Python standard library.
@@ -43,7 +43,7 @@
 
 Package: python3-w3lib
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, python3-six (>= 1.6.1)
 Description: Collection of web-related functions for Python (Python 3)
  Python module with simple, reusable functions to work with URLs, HTML,
  forms, and HTTP, that aren’t found in the Python standard library.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/w3lib/w3lib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-w3lib 1.14.3

=== debian/changelog ===
python-w3lib (1.14.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bumped Standards-Version to 3.9.8.
    - Updated Vcs-Broswer to https, and removed Vcs-Svn.
    - Added build dependencies on python{,3}-six.
    - Corrected typos in Description fileds.
  * debian/watch:
    - Updated file to point to github releases.
  * debian/copyright:
    - Moved all license text to bottom of the copyright file, as defined in the
      "recurrent license" section of the Debian copyright format v1.0.
    - Updated BSD short name to BSD-3-clause.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Mon, 25 Jul 2016 11:01:04 -0400

=== debian/control ===
--- 
+++ 
@@ -9,25 +9,26 @@
  python-all (>= 2.6.6-3~),
  python-setuptools,
  python3-all,
- python3-setuptools
+ python3-setuptools,
+ python-six,
+ python3-six
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://pypi.python.org/pypi/w3lib
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/python-w3lib/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/python-w3lib/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/python-w3lib/trunk/
 
 Package: python-w3lib
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-six (>= 1.6.1)
-Description: Collection of web-related functions for Python (Python 2)
+Description: Collection of web-related functions for Python 2
  Python module with simple, reusable functions to work with URLs, HTML,
  forms, and HTTP, that aren’t found in the Python standard library.
  .
  This module is used to, for example:
   - remove comments, or tags from HTML snippets
   - extract base url from HTML snippets
-  - translate entites on HTML strings
+  - translate entities on HTML strings
   - encoding mulitpart/form-data
   - convert raw HTTP headers to dicts and vice-versa
   - construct HTTP auth header
@@ -44,14 +45,14 @@
 Package: python3-w3lib
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-six (>= 1.6.1)
-Description: Collection of web-related functions for Python (Python 3)
+Description: Collection of web-related functions for Python 3
  Python module with simple, reusable functions to work with URLs, HTML,
  forms, and HTTP, that aren’t found in the Python standard library.
  .
  This module is used to, for example:
   - remove comments, or tags from HTML snippets
   - extract base url from HTML snippets
-  - translate entites on HTML strings
+  - translate entities on HTML strings
   - encoding mulitpart/form-data
   - convert raw HTTP headers to dicts and vice-versa
   - construct HTTP auth header

=== debian/watch ===
version=3
https://github.com/scrapy/w3lib/releases .*/v?(\d\S*)\.tar\.gz

## python-w3lib 1.16.0

=== debian/changelog ===
python-w3lib (1.16.0-1~exp1) experimental; urgency=low

  [ Michael Fladischer ]
  * Team upload.
  * New upstream release.
  * Clean files in w3lib.egg-info/ to allow two builds in a row.
  * Add python(3)-six to Build-Depends so tests can run.
  * Bump Standards-Version to 3.9.8.
  * Use https:// for copyright-format 1.0 URL.
  * Remove version requirement from python-all for Build-Depends.
  * Reformat packaging files with cme for better readability.
  * Fix spelling error in long description.
  * Restructure d/copyright to remove duplicate license texts and rename
    to BSD-3-clause.
  * Remove duplicate words from short description.

  [ Ondřej Nový ]
  * Fixed homepage (https)
  * Fixed VCS URL (https)

 -- Michael Fladischer <fladi@debian.org>  Tue, 24 Jan 2017 16:35:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,29 @@
 Source: python-w3lib
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Ignace Mouzannar <mouzannar@gmail.com>
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Ignace Mouzannar <mouzannar@gmail.com>
-Build-Depends:
- debhelper (>= 9),
- dh-python,
- python-all (>= 2.6.6-3~),
- python-setuptools,
- python3-all,
- python3-setuptools,
- python-six,
- python3-six
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               python-all,
+               python-setuptools,
+               python-six,
+               python3-all,
+               python3-setuptools,
+               python3-six
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-w3lib.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-w3lib.git
+Homepage: https://pypi.python.org/pypi/w3lib
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.8
-Homepage: http://pypi.python.org/pypi/w3lib
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/python-w3lib/trunk/
 
 Package: python-w3lib
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-six (>= 1.6.1)
-Description: Collection of web-related functions for Python 2
+Depends: python-six (>= 1.6.1),
+         ${misc:Depends},
+         ${python:Depends}
+Description: Collection of web-related functions (Python 2)
  Python module with simple, reusable functions to work with URLs, HTML,
  forms, and HTTP, that aren’t found in the Python standard library.
  .
@@ -44,8 +46,10 @@
 
 Package: python3-w3lib
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-six (>= 1.6.1)
-Description: Collection of web-related functions for Python 3
+Depends: python3-six (>= 1.6.1),
+         ${misc:Depends},
+         ${python3:Depends}
+Description: Collection of web-related functions (Python 3)
  Python module with simple, reusable functions to work with URLs, HTML,
  forms, and HTTP, that aren’t found in the Python standard library.
  .

## python-w3lib 1.18.0

=== debian/changelog ===
python-w3lib (1.18.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Tue, 08 Aug 2017 12:47:23 +0200

python-w3lib (1.17.0-1) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.0.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 20 Jun 2017 10:21:14 +0200

python-w3lib (1.17.0-1~exp1) experimental; urgency=low

  * Team upload.
  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Fri, 17 Feb 2017 09:15:40 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-all,
                python3-setuptools,
                python3-six
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-w3lib.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-w3lib.git
 Homepage: https://pypi.python.org/pypi/w3lib

## python-w3lib 1.19.0

=== debian/changelog ===
python-w3lib (1.19.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Always use pristine-tar.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Enable autopkgtest-pkg-python testsuite.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Use https:// for uscan URL.

 -- Michael Fladischer <fladi@debian.org>  Sat, 27 Jan 2018 13:43:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,32 @@
 Source: python-w3lib
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Ignace Mouzannar <mouzannar@gmail.com>
+Uploaders:
+ Ignace Mouzannar <mouzannar@gmail.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-python,
-               python-all,
-               python-setuptools,
-               python-six,
-               python3-all,
-               python3-setuptools,
-               python3-six
-Standards-Version: 4.0.0
+Build-Depends:
+ debhelper (>= 11),
+ dh-python,
+ python-all,
+ python-setuptools,
+ python-six,
+ python3-all,
+ python3-setuptools,
+ python3-six,
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-w3lib.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-w3lib.git
 Homepage: https://pypi.python.org/pypi/w3lib
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
+Testsuite: autopkgtest-pkg-python
 
 Package: python-w3lib
 Architecture: all
-Depends: python-six (>= 1.6.1),
-         ${misc:Depends},
-         ${python:Depends}
+Depends:
+ python-six (>= 1.6.1),
+ ${misc:Depends},
+ ${python:Depends},
 Description: Collection of web-related functions (Python 2)
  Python module with simple, reusable functions to work with URLs, HTML,
  forms, and HTTP, that aren’t found in the Python standard library.
@@ -46,9 +50,10 @@
 
 Package: python3-w3lib
 Architecture: all
-Depends: python3-six (>= 1.6.1),
-         ${misc:Depends},
-         ${python3:Depends}
+Depends:
+ python3-six (>= 1.6.1),
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Collection of web-related functions (Python 3)
  Python module with simple, reusable functions to work with URLs, HTML,
  forms, and HTTP, that aren’t found in the Python standard library.

## python-w3lib 1.20.0

=== debian/changelog ===
python-w3lib (1.20.0-1) unstable; urgency=low

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Michael Fladischer ]
  * New upstream release.
  * Bump Standards-Version to 4.3.0.

 -- Michael Fladischer <fladi@debian.org>  Fri, 01 Feb 2019 12:54:46 +0100

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,10 @@
  python3-all,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-w3lib.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-w3lib.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-w3lib
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-w3lib.git
 Homepage: https://pypi.python.org/pypi/w3lib
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
 Testsuite: autopkgtest-pkg-python
 
 Package: python-w3lib

## python-w3lib 1.21.0

=== debian/changelog ===
python-w3lib (1.21.0-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 10 Aug 2019 21:18:43 +0500

python-w3lib (1.20.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Andrey Rahmatullin ]
  * Add myself to Uploaders.
  * Drop Python 2 support.
  * Bump the debhelper compat level to 12.
  * Add Rules-Requires-Root: no.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 02 Aug 2019 23:53:08 +0500

=== debian/control ===
Source: python-w3lib
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Ignace Mouzannar <mouzannar@gmail.com>,
 Andrey Rahmatullin <wrar@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-six,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-w3lib
Vcs-Git: https://salsa.debian.org/python-team/modules/python-w3lib.git
Homepage: https://pypi.python.org/pypi/w3lib
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-w3lib
Architecture: all
Depends:
 python3-six (>= 1.6.1),
 ${misc:Depends},
 ${python3:Depends},
Description: Collection of web-related functions (Python 3)
 Python module with simple, reusable functions to work with URLs, HTML,
 forms, and HTTP, that aren’t found in the Python standard library.
 .
 This module is used to, for example:
  - remove comments, or tags from HTML snippets
  - extract base url from HTML snippets
  - translate entities on HTML strings
  - encoding mulitpart/form-data
  - convert raw HTTP headers to dicts and vice-versa
  - construct HTTP auth header
  - RFC-compliant url joining
  - sanitize urls (like browsers do)
  - extract arguments from urls
 .
 The code of w3lib was originally part of the Scrapy framework but was later
 stripped out of Scrapy, with the aim of make it more reusable and to provide
 a useful library of web functions without depending on Scrapy.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=w3lib

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-w3lib 1.22.0

=== debian/changelog ===
python-w3lib (1.22.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andrey Rahmatullin ]
  * Remove the test for the semicolon separator handling, that fails with
    the recent Python security update (Closes: #984492).

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 07 Mar 2021 22:51:14 +0500

python-w3lib (1.22.0-2) unstable; urgency=medium

  * Add autopkgtests.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 09 Aug 2020 14:29:38 +0500

python-w3lib (1.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0.
  * Bump the debhelper compat level to 13.
  * Move enabling the python3 addon from rules to B-D.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 19 Jul 2020 21:59:44 +0500

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: python-w3lib
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Ignace Mouzannar <mouzannar@gmail.com>,
  Andrey Rahmatullin <wrar@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-w3lib
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-w3lib.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-w3lib
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-w3lib.git
 Homepage: https://pypi.python.org/pypi/w3lib
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

## python-w3lib 2.1.1

=== debian/changelog ===
python-w3lib (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2.

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 01 Feb 2023 00:56:39 +0400

python-w3lib (2.0.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + python3-w3lib: Drop versioned constraint on python3-six in Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 22:03:24 +0100

python-w3lib (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Run build time tests with pytest.
  * Set the Homepage field to the Github page.
  * Replace py3versions -r with py3versions -s in the autopkgtest.
  * Bump Standards-Version to 4.6.1.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 18 Sep 2022 20:50:08 +0500

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,27 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Ignace Mouzannar <mouzannar@gmail.com>,
- Andrey Rahmatullin <wrar@debian.org>
+ Andrey Rakhmatullin <wrar@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all,
+ python3-pytest <!nocheck>,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-w3lib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-w3lib.git
-Homepage: https://pypi.python.org/pypi/w3lib
+Homepage: https://github.com/scrapy/w3lib
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python3-w3lib
 Architecture: all
 Depends:
- python3-six (>= 1.6.1),
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: Collection of web-related functions (Python 3)

## python-w3lib 2.1.2

=== debian/changelog ===
python-w3lib (2.1.2-1.1) unstable; urgency=medium

  * Team Upload
  * Remove obsolete dependency on python3-six

 -- Alexandre Detiste <tchet@debian.org>  Tue, 16 Jan 2024 23:42:23 +0100

python-w3lib (2.1.2-1) unstable; urgency=medium

  * New upstream release.
    + Fix tests on Python 3.11.4+ (Closes: #1042345).
  * Switch to autopkgtest-pkg-pybuild.

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 04 Aug 2023 23:46:03 +0400

=== debian/control ===
--- 
+++ 
@@ -11,18 +11,16 @@
  python3-all,
  python3-pytest <!nocheck>,
  python3-setuptools,
- python3-six,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-w3lib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-w3lib.git
 Homepage: https://github.com/scrapy/w3lib
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-w3lib
 Architecture: all
 Depends:
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: Collection of web-related functions (Python 3)

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=w3lib

%:
	dh $@ --buildsystem=pybuild

## python-w3lib 2.2.0

=== debian/changelog ===
python-w3lib (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Add B-D: python3-sphinx-rtd-theme.

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 06 Jun 2024 00:14:13 +0500

python-w3lib (2.1.2-3) unstable; urgency=medium

  * Build with python-scrapy-doc.
  * Fix the tox object.inv path.

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 24 Apr 2024 11:58:43 +0500

python-w3lib (2.1.2-2) unstable; urgency=medium

  * Add the python-w3lib-doc subpackage.
  * Bump Standards-Version to 4.7.0.

 -- Andrey Rakhmatullin <wrar@debian.org>  Mon, 22 Apr 2024 22:25:57 +0500

## python-w3lib 2.2.1

=== debian/changelog ===
python-w3lib (2.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 15 Jun 2024 00:33:45 +0500

## python-w3lib 2.3.1

=== debian/changelog ===
python-w3lib (2.3.1-2) unstable; urgency=medium

  * Add B-D: pybuild-plugin-pyproject.
  * Don't use obsolete python3-sphinx-hoverxref.
  * Drop Rules-Requires-Root.
  * Bump Standards-Version to 4.7.2.
  * Remove Python 3 mentions from the description.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 09 Aug 2025 23:45:09 +0500

python-w3lib (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 30 Jan 2025 00:02:15 +0500

=== debian/control ===
--- 
+++ 
@@ -8,22 +8,56 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ pybuild-plugin-pyproject,
+ python-pytest-doc <!nodoc>,
+ python-scrapy-doc <!nodoc>,
  python3-all,
+ python3-doc <!nodoc>,
  python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.2
+ python3-sphinx <!nodoc>,
+ python3-sphinx-notfound-page <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ tox <!nodoc>,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-w3lib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-w3lib.git
 Homepage: https://github.com/scrapy/w3lib
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 
 Package: python3-w3lib
 Architecture: all
 Depends:
  ${misc:Depends},
  ${python3:Depends},
-Description: Collection of web-related functions (Python 3)
+Description: Collection of web-related functions
+ Python module with simple, reusable functions to work with URLs, HTML,
+ forms, and HTTP, that aren’t found in the Python standard library.
+ .
+ This module is used to, for example:
+  - remove comments, or tags from HTML snippets
+  - extract base url from HTML snippets
+  - translate entities on HTML strings
+  - encoding mulitpart/form-data
+  - convert raw HTTP headers to dicts and vice-versa
+  - construct HTTP auth header
+  - RFC-compliant url joining
+  - sanitize urls (like browsers do)
+  - extract arguments from urls
+ .
+ The code of w3lib was originally part of the Scrapy framework but was later
+ stripped out of Scrapy, with the aim of make it more reusable and to provide
+ a useful library of web functions without depending on Scrapy.
+
+Package: python-w3lib-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
+Built-Using: ${sphinxdoc:Built-Using}
+Suggests: python3-w3lib
+Description: Collection of web-related functions (documentation package)
  Python module with simple, reusable functions to work with URLs, HTML,
  forms, and HTTP, that aren’t found in the Python standard library.
  .
@@ -42,4 +76,4 @@
  stripped out of Scrapy, with the aim of make it more reusable and to provide
  a useful library of web functions without depending on Scrapy.
  .
- This is the Python 3 version of the package.
+ This package contains documentation for python3-w3lib.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=w3lib
# needed because of tox in B-D
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-w3lib-doc/usr/share/doc/python-w3lib-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/w3lib/w3lib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-w3lib 2.4.0

=== debian/changelog ===
python-w3lib (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop d/watch in favor of d/upstream/metadata, switch to GitHub tarballs.
  * Drop Priority.
  * Bump Standards-Version to 4.7.3.
  * Mark the subpackages as Multi-Arch: foreign.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 31 Jan 2026 00:13:19 +0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
  Ignace Mouzannar <mouzannar@gmail.com>,
  Andrey Rakhmatullin <wrar@debian.org>
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -14,13 +13,13 @@
  python-scrapy-doc <!nodoc>,
  python3-all,
  python3-doc <!nodoc>,
+ python3-hatchling,
  python3-pytest <!nocheck>,
- python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-notfound-page <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  tox <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-w3lib
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-w3lib.git
 Homepage: https://github.com/scrapy/w3lib
@@ -28,6 +27,7 @@
 
 Package: python3-w3lib
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},
@@ -53,6 +53,7 @@
 Package: python-w3lib-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
 Built-Using: ${sphinxdoc:Built-Using}
